| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# QName Class Reference

`#include <QName.hpp>`

List of all members.

## Public Methods

| QName ()
| Default constructor.
| QName (const XMLCh *const prefix,const XMLCh *const localPart,const unsigned int uriId)
| Constructs a specified qname using prefix, and localpart.
| QName (const XMLCh *const rawName,const unsigned int uriId)
| Constructs a specified qname using rawName.
| QName (const QName *const qname)
| Copy constructor.
| ~QName ()
const XMLCh* | getPrefix ()const
XMLCh* | getPrefix ()
const XMLCh* | getLocalPart ()const
XMLCh* | getLocalPart ()
unsigned int | getURI ()const
const XMLCh* | getRawName ()const
XMLCh* | getRawName ()
void | setName (const XMLCh *const prefix,const XMLCh *const localPart,const unsigned int uriId)
void | setName (const XMLCh *const rawName,const unsigned int uriId)
void | setPrefix (const XMLCh *)
void | setLocalPart (const XMLCh *)
void | setNPrefix (const XMLCh *,const unsigned int)
void | setNLocalPart (const XMLCh *,const unsigned int)
void | setURI (const unsigned int)
void | setValues (const QName &qname)
bool | operator== (const QName &)
void | cleanUp ()

## Constructor & Destructor Documentation

QName::QName ( | )

| Default constructor.

QName::QName ( | const XMLCh *const prefix,
| const XMLCh *const localPart,
| const unsigned int uriId )

| Constructs a specified qname using prefix, and localpart.

QName::QName ( | const XMLCh *const rawName,
| const unsigned int uriId )

| Constructs a specified qname using rawName.

QName::QName ( | const QName *const qname )

| Copy constructor.

QName::~QName ( | )

## Member Function Documentation

void QName::cleanUp ( | )

XMLCh * QName::getLocalPart ( | )

const XMLCh * QName::getLocalPart ( | ) const

XMLCh * QName::getPrefix ( | )

const XMLCh * QName::getPrefix ( | ) const

XMLCh* QName::getRawName ( | )

const XMLCh* QName::getRawName ( | ) const

unsigned int QName::getURI ( | ) const

bool QName::operator== ( | const QName & )

void QName::setLocalPart ( | const XMLCh * )

void QName::setNLocalPart ( | const XMLCh *,
| const unsigned int )

void QName::setNPrefix ( | const XMLCh *,
| const unsigned int )

void QName::setName ( | const XMLCh *const rawName,
| const unsigned int uriId )

void QName::setName ( | const XMLCh *const prefix,
| const XMLCh *const localPart,
| const unsigned int uriId )

void QName::setPrefix ( | const XMLCh * )

void QName::setURI ( | unsigned int uriId )

void QName::setValues ( | const QName & qname )

The documentation for this class was generated from the following file:

- QName.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.